#
# spec file for package pmidi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pmidi
BuildRequires:  alsa-devel
BuildRequires:  automake
Summary:        A Command Line MIDI Player for ALSA
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Midi
Version:        1.7.0
Release:        lp152.3.5
Source:         pmidi-%{version}.tar.gz
Url:            http://www.parabola.demon.co.uk/alsa/pmidi.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pmidi is a command line MIDI player for ALSA.



Authors:
--------
    Steve Ratcliffe <steve@parabola.demon.co.uk>

%prep
%setup

%build
autoreconf -fi
%configure --with-included-glib
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_mandir}/man*/*

%changelog
* Mon Sep 23 2013 stephan.barth@suse.com
- update to version 1.7.0. This is mainly a bugfix release.
- the following two patches are not needed anymore, since they have been
  included by upstream and have been removed:
  - pmidi-mts-fix.diff
  - pmidi-link-fix.diff
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue Dec 13 2011 tiwai@suse.de
- fix license to GPL-2.0 only (bnc#735050)
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Mar 27 2007 tiwai@suse.de
- build with included glib support, don't use gtk1-compat
- fix the handle of MTS (MIDI Tuning Standard)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 sbrabec@suse.cz
- Force glib2 using gtk1-compat-devel.
* Mon Jan 12 2004 adrian@suse.de
- build as user
* Fri Jan  9 2004 tiwai@suse.de
- updated to version 1.6.0.
* Mon Dec 10 2001 tiwai@suse.de
- updated to ver.1.5.4.
  built on the standard configure procedure now.
- added glib and glib-devel to neededforbuild.
* Mon Dec  3 2001 tiwai@suse.de
- updated to ver.1.5.1 with ALSA 0.9.0 support.
* Thu Nov  2 2000 tiwai@suse.de
- Fixed spec file for long package-name support.
* Tue Sep 26 2000 tiwai@suse.de
- Changed to bzip2
* Tue Jul 11 2000 tiwai@suse.de
- 1st version: 0.4.1
